<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<html>
<body>

	<% pageContext.setAttribute("path",getServletContext().getRealPath("/")); %>

	<sql:setDataSource url="jdbc:hsqldb:file:${path}/bd/prueba/prueba" driver="org.hsqldb.jdbcDriver" user="sa" var="miDataSource"/>

	<sql:query var="miConsulta" dataSource="${miDataSource}">
		SELECT * FROM datos
	</sql:query>

	<c:forEach var="fila" items="${miConsulta.rows}">
		Nombre: <c:out value="${fila.nombre}"/><br>
		Descripcion: <c:out value="${fila.descripcion}"/><br>
	</c:forEach>
</body>
</html>